用于生成短链接。

## 使用说明

- 请求方法：POST
- 请求地址：`https://xw.al/api.php`

## 请求参数

| **参数名称** | **类型** | **是否必须** | **示例值**              |
| -------- | ------ | -------- | -------------------- |
| url      | string | 是        | https://www.xiaoz.me |

**请求成功：**

```json
{
 "url": {
 "keyword": "1aj1z",
 "url": "https://www.xiaoz.me",
 "title": "小z博客 - 生命不息，吾将折腾不止。",
 "date": "2021-01-01 05:29:35",
 "ip": "118.112.xxx.xxx"
 },
 "status": "success",
 "message": "https://www.xiaoz.me 已保存为",
 "title": "小z博客 - 生命不息，吾将折腾不止。",
 "shorturl": "https://xw.al/1aj1z",
 "statusCode": 200
}
```



- statusCode:状态码，请求成功为200
- shorturl：返回的短网址

**请求失败：**

```json
{
 "code": 403,
 "err_msg": "Blacklisted domain."
}
```



- code:请求失败的状态码
- err_msg：错误原因

## 限制

- 单IP每日限制50次请求
